undef("fct_res_Satellite")
function fct_res_Satellite(latS,latN,lonW,lonE)
begin
  cmap = read_colormap_file("amwg")

  res                      = True
  res@gsnMaximize          = True
  res@gsnFrame             = False               ; don't advance frame
  res@gsnDraw              = False               ; don't draw plot
;
; Contour
  res@cnFillOn             = True               ; turn on color fill
  res@cnFillPalette        = cmap(3:,:)         ; set color map
  res@cnFillMode           = "CellFill"         ; Raster Mode
  res@cnRasterSmoothingOn  = True
  res@cnRasterMinCellSizeF = 0.0005
  res@cnLinesOn            = False         ; True -> contour lines
  res@cnLineLabelsOn       = False         ; True-> contour labels
;
; @lb: Label Bar
  res@lbLabelBarOn         = False          ; =False, for each individual plot before the Panel
  res@lbTitleFontHeightF   = 0.015               ; Make font smaller
  res@lbLabelFontHeightF   = 0.012               ; Make labels bigger
  res@lbBoxLinesOn         = False
; @lbLabelStride:   determines how much bars between every other label will be drawn. / 
;                   If =2, only every other label will be drawn.
  res@lbLabelStride        = 2
;
; @mp: Map Projection
  res@mpProjection        = "Satellite"
  res@mpCenterLatF        =  70
  res@mpCenterLonF        =  -45                  ; change map center
  res@mpDataBaseVersion   = "MediumRes"          ; Higher res coastline
  res@mpGridAndLimbOn     = True
;
; Set limits of map, based on the min/max of all four datasets.
  res@mpLimitMode         = "LatLon"     ; required
  res@mpMinLatF           = latS
  res@mpMaxLatF           = latN
  res@mpMinLonF           = lonW
  res@mpMaxLonF           = lonE
;
  res@pmTickMarkDisplayMode        = "Always"

  return(res)
end
